.baihe_goods_list {
    padding: var(--component-gap) 0;
}

.baihe_goods_list .container {
    display: flex;
    gap: 100px;
}

.baihe_goods_list .main-left {
    width: 412px;
}

.baihe_goods_list .main-right {
    width: calc(100% - 512px);
}


.baihe_goods_list .sidemenu .menu-item {
    border: none;
}

.baihe_goods_list .sidemenu>.title {
    border-radius: 10px;
    background: var(--color-primary);
    color: var(--title-text-color);
    font-size: var(--title-size-h5);
    font-weight: 500;
    font-family: var(--font-medium-family);
    line-height: 1.5;
    padding: 20px 20px 20px 39px;
    position: relative;
}

.baihe_goods_list .sidemenu .menu-list {
    padding: 19px 0 0 0;
}

.baihe_goods_list .sidemenu .menu-content {
    padding: 14px 2px 14px 39px;
    min-height: auto;
}

.baihe_goods_list .sidemenu .menu-item a,
.baihe_goods_list .sidemenu .menu-title {
    color: var(--text-color);
    font-size: var(--text-title-size);
    font-weight: 500;
    line-height: 1.5;
    font-family: var(--font-medium-family);
}

.baihe_goods_list .sidemenu .menu-item.active .menu-title {
    color: var(--color-second);
}

.baihe_goods_list .sidemenu .menu-arrow::before {
    content: "\e609";
    font-family: "qico" !important;
    font-size: 20px;
    margin-right: 10px;
}

.baihe_goods_list .sidemenu .menu-item.active>.menu-content {
    background: rgba(242, 177, 75, 0.15);
    border-radius: 50px;
    position: relative;
}

.baihe_goods_list .sidemenu .menu-item.active>.menu-content::after {
    content: "\e609";
    font-family: "qico";
    position: absolute;
    right: 2px;
    top: 50%;
    transform: translateY(-50%);
    width: 46px;
    height: 46px;
    background: var(--color-second);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 20px;
}

.baihe_goods_list .sidemenu .menu-item.active>.menu-content>a {
    color: var(--color-second);
}

.baihe_goods_list .sidemenu .sub-menu-item .menu-content {
    padding: 14px 2px 14px 50px;
}

.baihe_goods_list .sidemenu>.title:hover a {
    color: var(--title-text-color) !important;
}

.baihe_goods_list .sidemenu .sub-menu-list {
    padding: 10px 0;
}

.baihe_goods_list_tags,
.baihe_goods_list_premium_picks {
    margin-top: calc(var(--component-gap) * 2);
}

.baihe_goods_list_tags_title,
.baihe_goods_list_premium_picks_title {
    position: relative;
    border-radius: 10px;
    background: var(--color-primary);
    color: var(--title-text-color);
    font-size: var(--title-size-h5);
    font-weight: 500;
    font-family: var(--font-medium-family);
    line-height: 1.5;
    padding: 20px 20px 20px 39px;
}
.baihe_goods_list_premium_picks_title,
.baihe_goods_list .sidemenu .title {
    cursor: pointer;
}
.baihe_goods_list_premium_picks_title b{
    width: fit-content;
    font-weight: 500;
}
.baihe_goods_list_premium_picks_content {
    padding-top: 19px;
    display: none;
    flex-direction: column;
}

.baihe_goods_list_premium_picks_content.active {
    display: flex;
}

.baihe_goods_list_premium_picks_item {
    cursor: pointer;
    position: relative;
    padding: 14px 2px 14px 20px;
    color: var(--text-color);
    font-size: var(--text-title-size);
    font-weight: 500;
    line-height: 1.5;
    font-family: var(--font-medium-family);
}

.baihe_goods_list_premium_picks_item:hover {
    color: var(--color-second);
}

.baihe_goods_list_premium_picks_item.active {
    color: var(--color-second);
    border-radius: 50px;
    background: rgba(242, 177, 75, 0.15);
}

.baihe_goods_list_premium_picks_item.active::after {
    content: "\e609";
    font-family: "qico";
    position: absolute;
    right: 2px;
    top: 50%;
    transform: translateY(-50%);
    width: 46px;
    height: 46px;
    background: var(--color-second);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 20px;
}

.baihe_goods_list_tags_list {
    padding-top: 23px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.baihe_goods_list_tags_list a {
    color: #999;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    padding: 10px 20px;
    border: 1px solid var(--color-second);
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.baihe_goods_list_tags_list a:hover,
.baihe_goods_list_tags_list a.active {
    background: var(--color-second);
    color: #fff !important;
}


.baihe_goods_list_title {
    color: var(--color-second);
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
}

.baihe_goods_list_desc {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 20px;
}

.baihe_goods_list_desc p {
    font-family: var(--font-family) !important;
    font-size: var(--text-size) !important;
    font-weight: 400 !important;
}

.baihe_goods_list_content {
    display: flex;
    flex-wrap: wrap;
    gap: 37px;
    margin-top: var(--component-gap);
}

.baihe_goods_list_item {
    width: calc((100% - 37px)/2);
    position: relative;
    border-radius: 20px;
    perspective: 1400px;
    /* aspect-ratio: 475/530; */
    aspect-ratio: 4/3;
}

.baihe_goods_list_item img {
    width: 100%;
    /* aspect-ratio: 475/530; */
    aspect-ratio: 4/3;
    object-fit: cover;
    border-radius: 20px;
}

.baihe_goods_list_item_btm {
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    padding: 42px 20px 28px 40px;
    border-radius: 0 0 20px 20px;
    background: linear-gradient(180deg, rgba(234, 171, 72, 0.00) 0%, #EAAB48 100%);
}

.baihe_goods_list_item_btm_title {
    width: 100%;
    color: #fff;
    font-size: var(--title-size-h5);
    font-weight: 500;
    font-family: var(--font-medium-family);
    line-height: 1.5;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-top: 10px;
}

.baihe_goods_list_item_btm span {
    display: block;
    width: 30px;
    height: 3px;
    border-radius: 3px;
    background: var(--color-primary);
}

.baihe_goods_list-img,
.baihe_goods_list_item_content {
    transition: transform 0.6s ease-in-out;
}

.baihe_goods_list_item_content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--color-primary);
    padding: 66px 35px 70px 40px;
    display: flex;
    flex-direction: column;
    transform: rotateY(180deg);
    z-index: 1;
    overflow: hidden;
}

.baihe_goods_list-img,
.baihe_goods_list_item_content {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    transform-style: preserve-3d;
    border-radius: inherit;
    transition: transform 0.6s ease-in-out;
}

.baihe_goods_list-img {
    transform: rotateY(0);
}

.baihe_goods_list_item:hover .baihe_goods_list-img {
    transform: rotateY(180deg);
}

.baihe_goods_list_item:hover .baihe_goods_list_item_content {
    transform: rotateY(0deg);
}

.baihe_goods_list_item:hover .baihe_goods_list_item_btm {
    display: none;
}

.baihe_goods_list_item_title {
    color: #fff;
    font-size: var(--title-size-h5);
    font-weight: 500;
    font-family: var(--font-medium-family);
    line-height: 1.5;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    position: relative;
    margin-top: 20px;
}

.baihe_goods_list_item_content .line {
    width: 30px;
    height: 3px;
    border-radius: 3px;
    background: var(--color-second);
}

.baihe_goods_list_item_desc {
    color: #fff;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 16px;
    max-height: calc(var(--text-size) * 1.625 * 4);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;
}

.baihe_goods_list_item_advanced {
    color: #fff;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.75;
    padding-left: 20px;
    margin-top: 10px;
}

.baihe_goods_list_item_advanced li {
    list-style-type: disc;
    color: var(--color-second);
}

.baihe_goods_list_item_advanced li span {
    color: #fff;
}

.baihe_goods_list_item_icon {
    position: absolute;
    bottom: 20px;
    right: 20px;
    background: var(--color-second);
    border-radius: 50%;
    width: 46px;
    height: 46px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.baihe_goods_list_item_icon i {
    font-size: 20px;
    color: #fff;
}

.baihe_goods_list .sidemenu .menu-item:hover .menu-title {
    color: var(--color-second);
}

.baihe_goods_list_item_content a {
    display: inline-block;
    height: 100%;
    overflow: auto;
}

.baihe_goods_list_item_content a::-webkit-scrollbar {
    display: none;
}

.baihe_goods_list .sidemenu .title::after,
.baihe_goods_list_premium_picks_title::after {
    content: "\e65f";
    font-family: "qico";
    font-size: 12px;
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%) rotate(90deg);
}

.baihe_goods_list .sidemenu .menu-list.active {
    display: none;
}


@media (max-width: 1500px) {
    .baihe-goods-products-advanced {
        padding-left: 10px;
    }

    .baihe_goods_list_item_content {
        padding: 30px 30px 65px 30px;
    }

    .baihe_goods_list .sidemenu .menu-content {
        padding: 14px 2px 14px 20px !important;
    }

    .baihe_goods_list .sidemenu>.title,
    .baihe_goods_list_tags_title {
        padding: 20px;
    }
}

@media (max-width: 1200px) {
    .baihe_goods_list .container {
        gap: 50px;
    }

    .baihe_goods_list .main-left {
        width: 300px;
    }

    .baihe_goods_list .main-right {
        width: calc(100% - 350px);
    }

    .baihe_goods_list_content {
        gap: 20px;
    }

    .baihe_goods_list_item {
        width: calc((100% - 20px)/2);
    }

    .baihe_goods_list_item_btm {
        padding: 20px;
    }

    .baihe_goods_list_item_content {
        padding: 30px 30px 72px 30px;
    }
}

@media (max-width: 992px) {
    .baihe_goods_list .container {
        flex-direction: column;
        gap: 50px;
    }

    .baihe_goods_list_item_content {
        padding: 30px 30px 65px 30px;
    }

    .baihe_goods_list .sidemenu .menu-item.active>.menu-content::after {
        width: 30px;
        height: 30px;
        font-size: 16px;
    }

    .baihe_goods_list .sidemenu .menu-arrow::before {
        font-size: 16px;
        margin-right: 2px;
    }

    .baihe_goods_list .main-left {
        width: 100%;
    }

    .baihe_goods_list .main-right {
        width: 100%;
    }

    .baihe_goods_list_item_advanced {
        display: block;
    }

    .baihe_goods_list_tags {
        display: none;
    }

}

@media (max-width: 768px) {
    .baihe_goods_list .container {
        gap: 20px;
    }

    .baihe_goods_list .sidemenu {
        display: block;
    }

    .baihe_goods_list_item_advanced {
        display: none;
    }

    .baihe_goods_list_item_icon {
        width: 30px;
        height: 30px;
    }

    .baihe_goods_list_item_icon i {
        font-size: 16px;
    }

    .baihe_goods_list_item_title {
        margin-top: 6px;
    }
}

@media screen and (max-width: 576px) {
    .baihe_goods_list_item_content {
        padding: 16px 10px;
    }

    .baihe_goods_list_item_icon {
        bottom: 10px;
        right: 10px;
    }

    .baihe_goods_list_item_desc {
        max-height: calc(var(--text-size) * 1.625 * 3);
        -webkit-line-clamp: 3;
    }

    .baihe_goods_list_content {
        gap: 10px;
    }

    .baihe_goods_list_item {
        width: calc((100% - 10px) / 2);
        border-radius: 10px;
    }

    .baihe_goods_list_item img {
        border-radius: 10px;
    }

    .baihe_goods_list_item_btm {
        border-radius: 0 0 10px 10px;
    }

    .baihe_goods_list_item_desc {
        margin-top: 4px;
    }
}